/*
 *  2004 Michal 'GiM' Spadlinski <gim at skrzynka dot pl>
 *
 *  This is simple fork(),signal() command presentation
 *  + creates a child using fork()
 *  + in child: exits from child
 *  + in parent: waits for child
 *  + installs signal() handler on SIGINT signal
 *  + does while(1) pause(); [waits infinitely for signal]
 * 
 */
#include <stdio.h>
#include <sys/select.h>
#include <errno.h>
#include <signal.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>

void dupa(int t)
{
	printf("cze!\n");
	return;
}

int do_parent_stuff(pid_t pid)
{
	int st;
	waitpid(pid, &st, 0);
	signal(SIGINT, dupa);
	while(1) pause();
	return 0;
}

int do_child_stuff(void)
{
	return 0;
}

int main(int argc, char **argv)
{
	pid_t child;

	if ((child = fork()) == -1)
	{
		perror("Cannot fork()");
		return -1;
	}
	if (child)
		do_parent_stuff(child);
	else
		do_child_stuff();
	return 0;
}
